geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject testsuite problems -- upgrade selenium to snapshots???
Date Tue, 23 Sep 2008 16:39:41 GMT
I haven't figured out how to run testsuite on my mac with firefox 3  
installed using the specified selenium and maven selenium plugin  
versions.  I've been advised to run with -Pdefault,headless but I get  
a complaint that xvfs is not installed.

Apparently selenium has more or less released a version that works  
with ff3.  I have stuff working with this root pom change:

Index: pom.xml
===================================================================
--- pom.xml     (revision 697435)
+++ pom.xml     (working copy)
@@ -839,13 +839,13 @@
              <dependency>
                  <groupId>org.openqa.selenium.client-drivers</groupId>
                  <artifactId>selenium-java-client-driver</artifactId>
-                <version>1.0-beta-1</version>
+                <version>1.0-SNAPSHOT</version>
              </dependency>

              <dependency>
                  <groupId>org.openqa.selenium.server</groupId>
                  <artifactId>selenium-server</artifactId>
-                <version>1.0-beta-1</version>
+                <version>1.0-SNAPSHOT</version>
              </dependency>

              <dependency>
@@ -2774,7 +2774,7 @@
                  <plugin>
                      <groupId>org.codehaus.mojo</groupId>
                      <artifactId>selenium-maven-plugin</artifactId>
-                    <version>1.0-beta-3</version>
+                    <version>1.0-rc-1-SNAPSHOT</version>
                  </plugin>

                  <plugin>

Would it be a good idea/acceptable to commit this?
Does anyone know how to get any of these snapshots released?

thanks
david jencks

Mime
View raw message